# 8259.h File Reference

`#include <ubixos/types.h>`

Include dependency graph for 8259.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines

#define | eoi 0x20
#define | icw1 0x11
#define | icw4 0x01
#define | mImr 0x21
#define | mPic 0x20
#define | mVec 0x68
#define | ocw3Irr 0x0A
#define | ocw3Isr 0x0B
#define | sImr 0xA1
#define | sPic 0xA0
#define | sVec 0x70

## Functions

int | i8259_init ()
| initialize the 8259 PIC
void | irqDisable (uInt16 irqNo)
void | irqEnable (uInt16 irqNo)

## Define Documentation

#define eoi 0x20

Definition at line 39 of file 8259.h.

Referenced by mouseHandler(), mouseInit(), and ne2kHandler().

#define icw1 0x11

Definition at line 40 of file 8259.h.

Referenced by i8259_init().

#define icw4 0x01

Definition at line 41 of file 8259.h.

Referenced by i8259_init().

#define mImr 0x21

Definition at line 36 of file 8259.h.

Referenced by i8259_init().

#define mPic 0x20

Definition at line 35 of file 8259.h.

Referenced by i8259_init(), irqDisable(), irqEnable(), mouseHandler(), mouseInit(), and ne2kHandler().

#define mVec 0x68

Definition at line 42 of file 8259.h.

Referenced by atkbd_init(), fdc_init(), i8259_init(), initLNC(), mouseInit(), and ne2k_init().

#define ocw3Irr 0x0A

Definition at line 44 of file 8259.h.

#define ocw3Isr 0x0B

Definition at line 45 of file 8259.h.

#define sImr 0xA1

Definition at line 38 of file 8259.h.

Referenced by i8259_init().

#define sPic 0xA0

Definition at line 37 of file 8259.h.

Referenced by i8259_init(), irqDisable(), irqEnable(), mouseHandler(), mouseInit(), and ne2kHandler().

#define sVec 0x70

Definition at line 43 of file 8259.h.

Referenced by i8259_init().

## Function Documentation

int i8259_init | ( |  | ) |

initialize the 8259 PIC

This will initialize both PICs for all of our IRQs

Definition at line 42 of file 8259.c.

References icw1, icw4, kprintf(), mImr, mPic, mVec, outportByte(), sImr, sPic, and sVec.

Here is the call graph for this function:

void irqDisable | ( | uInt16 | irqNo | ) |

Referenced by _int13(), kpanic(), and ne2kHandler().

void irqEnable | ( | uInt16 | irqNo | ) |

Referenced by _int13(), atkbd_init(), fdc_init(), kmain(), mouseInit(), ne2k_init(), and ne2kHandler().